package com.ssj.service.sys.jxy.service.impl;

import com.ssj.bean.sys.jxy.domain.JxyImg;
import com.ssj.dao.sys.jxy.dao.JxyImgDao;
import com.ssj.dao.sys.jxy.dao.JxyQueryDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.jxy.service.JxyImgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class JxyImgServiceImpl extends BaseServiceImpl<JxyImg, String> implements JxyImgService {

	@Autowired
	private JxyImgDao jxyImgDao;
	@Autowired
    private JxyQueryDao jxyQueryDao;
	@Override
	public List<JxyImg> findById(String Id) {
		return null;
	}

	@Override
	public PagingAndSortingRepository<JxyImg, String> getDao() {
		return jxyImgDao;
	}

	

	@Override
	public void updateImgIndex(String id, Integer imgIndex) {
		jxyImgDao.updateImgIndex(id, imgIndex);		
	}

	@Override
	public Integer countLeadyId(String leadyId) {
		return jxyImgDao.countLeadyId(leadyId);
	}


}
